<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema targetNamespace="http://www.irs.gov/efile" xmlns="http://www.irs.gov/efile" 
xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

	<xsd:annotation>
		<xsd:documentation>
			<Description>IRS e-file Corporate Income Tax Schema - 52-53 Week Tax Year Election</Description>
			<TaxYear>2012</TaxYear>
			<MaturityLevel>Draft Release</MaturityLevel>
			<ReleaseDate>September 5, 2012</ReleaseDate>
		</xsd:documentation>
	</xsd:annotation>

	<xsd:include schemaLocation="../../../Common/efileTypes.xsd" />


	<!-- =========================================================== -->
	<!-- ======       52-53 Week Tax Year Election         ========= -->
	<!-- =========================================================== -->


	<xsd:element name="Week5253TaxYearElection">
		<xsd:annotation>
			<xsd:documentation>52-53 Week Tax Year Election</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:complexContent>
				<xsd:extension base="Week5253TaxYearElectionType">
					<xsd:attributeGroup ref="DocumentAttributes">
						<xsd:annotation>
							<xsd:documentation>Common return document attributes</xsd:documentation>
						</xsd:annotation>
					</xsd:attributeGroup>
					<xsd:attribute name="documentName" type="xsd:string" fixed="Week5253TaxYearElection">
						<xsd:annotation>
							<xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
						</xsd:annotation>
					</xsd:attribute>
				</xsd:extension>
			</xsd:complexContent>
		</xsd:complexType>
	</xsd:element>

	<xsd:complexType name="Week5253TaxYearElectionType">
		<xsd:annotation>
			<xsd:documentation>Content model for 52-53 Week Tax Year Election</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
		
			<!-- The Month in Which The New 52-53 Week Tax Year Ends -->
			<xsd:element name="MonthWhichNew5253WeekTYEnds" type="MonthType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>The month in which the new 52-53 week tax year ends</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			
			<!-- The Day of The Week on Which The Tax Year Always Ends -->
			<xsd:element name="DayWeekWhichTaxYearAlwaysEnds" type="DayOfWeekType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>The day of the week on which the tax year always ends</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
		
			<!-- The date the tax year ends -->
			<xsd:element name="DateTaxYearEnds" type="DateType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>The date the tax year ends</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
		
		</xsd:sequence>
	</xsd:complexType>

	<!-- Day Of Week Type -->
	<xsd:simpleType name="DayOfWeekType">
		<xsd:annotation>
			<xsd:documentation>The day of the week on which the tax year always ends</xsd:documentation>
		</xsd:annotation>
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="Sunday" />
			<xsd:enumeration value="Monday" />
			<xsd:enumeration value="Tuesday" />
			<xsd:enumeration value="Wednesday" />
			<xsd:enumeration value="Thursday" />
			<xsd:enumeration value="Friday" />
			<xsd:enumeration value="Saturday" />

		</xsd:restriction>
	</xsd:simpleType>
	
</xsd:schema>
